Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.discrete.inhomogeneous.parameters
Class FSDAGModelForGibbsSamplingParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.models.discrete.DGMParameterSet
                      de.jstacs.models.discrete.inhomogeneous.parameters.IDGMParameterSet
                          de.jstacs.models.discrete.inhomogeneous.parameters.FSDAGMParameterSet
                              de.jstacs.models.discrete.inhomogeneous.parameters.FSDAGModelForGibbsSamplingParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class FSDAGModelForGibbsSamplingParameterSet

extends FSDAGMParameterSet

The class for the parameters of a `FSDAGModelForGibbsSampling`.

Author:
  Jens Keilwagen
See Also:
  `FSDAGModelForGibbsSampling`

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`FSDAGModelForGibbsSamplingParameterSet()` This is the constructor that creates an empty parameter set for a `FSDAGModelForGibbsSampling`.
`FSDAGModelForGibbsSamplingParameterSet(AlphabetContainer alphabet, int length, double ess, String description, String graph)` This is the constructor that creates a filled parameter set.
`FSDAGModelForGibbsSamplingParameterSet(StringBuffer s)` The constructor for the `Storable` interface.

Method Summary

Methods inherited from class de.jstacs.models.discrete.inhomogeneous.parameters.FSDAGMParameterSet
`encode, getInstanceComment, loadParameters`

Methods inherited from class de.jstacs.models.discrete.inhomogeneous.parameters.IDGMParameterSet
`getModelInstanceName`

Methods inherited from class de.jstacs.models.discrete.DGMParameterSet
`clone, getInstanceName, hasDefaultOrIsSet, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSDAGModelForGibbsSamplingParameterSet

    public FSDAGModelForGibbsSamplingParameterSet(StringBuffer s)
                                           throws NonParsableException

  The constructor for the `Storable` interface. Creates a new `FSDAGModelForGibbsSamplingParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `StringBuffer` is not parsable

### FSDAGModelForGibbsSamplingParameterSet

    public FSDAGModelForGibbsSamplingParameterSet()

  This is the constructor that creates an empty parameter set for a `FSDAGModelForGibbsSampling`.

### FSDAGModelForGibbsSamplingParameterSet

    public FSDAGModelForGibbsSamplingParameterSet(AlphabetContainer alphabet,
                                                  int length,
                                                  double ess,
                                                  String description,
                                                  String graph)
                                           throws Exception

  This is the constructor that creates a filled parameter set.

  Parameters:
    `alphabet` - the alphabet container that is used in the model
    `length` - the length of the model (has to be positive)
    `ess` - the ess (equivalent sample size, has to be positive)
    `description` - a short description of the model (used for a better handling of the object by the user)
    `graph` - the graph description string, encodes in XML-like manner the parents of each node "<parents node=i>j,k,l</parents>"
  Throws:
    `Exception` - if something went wrong
  See Also:
    `FSDAGMParameterSet.encode(int[][])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD